%define name    sord
%define version 0.16.10
%define release 28.1

Name: sord
Version: 0.16.10
Release: 28.1.rncbc.suse
Summary:	Lightweight C library for storing RDF data in memory
Source:		http://download.drobilla.net/%{name}-%{version}.tar.bz2
URL:		http://drobilla.net/software/
License:	ISC
Group:		System/Libraries

BuildRequires:	coreutils
BuildRequires:	pkgconfig
BuildRequires:	glibc-devel
BuildRequires:	gcc-c++
BuildRequires:	python python3 python3-rdflib
BuildRequires:	pcre-devel
BuildRequires:	glib2-devel
BuildRequires:	libserd-devel >= 0.18.0

%description
Lightweight C library for storing RDF data in memory.

#-----------------------------------

%define _lib_major 0
%define _lib_name lib%{name}-%{_lib_major}-0
%define _lib_name_devel lib%{name}-devel

%if %{defined fedora}
%global debug_package %{nil}
%endif

#-----------------------------------
%package -n %{name}i

Summary:	Lightweight RDF storage utilities
Group:		Productivity/Text/Editors
Requires:	%{_lib_name} >= %{version}

%description -n %{name}i
Lightweight C library for storing RDF data in memory.

%files -n %{name}i
%defattr(-,root,root,-)
%doc %{_mandir}/man1/sordi.*
%doc %{_mandir}/man1/sord_validate.*
%{_bindir}/sordi
%{_bindir}/sord_validate

#-----------------------------------
%package -n %{_lib_name}

Summary:	Lightweight RDF storage library
Group:		System/Libraries

%description -n %{_lib_name}
Lightweight C library for storing RDF data in memory.

%files -n %{_lib_name}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so.*

#-----------------------------------
%package -n %{_lib_name_devel}
Summary:	Lightweight RDF storage library - development files
Group:		Development/Libraries
Requires:	pkgconfig
Requires:	%{_lib_name} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{_lib_name_devel}
Development files needed to build applications against sord.

%files -n %{_lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-%{_lib_major}.so
%dir %{_includedir}/%{name}-%{_lib_major}/
%dir %{_includedir}/%{name}-%{_lib_major}/%{name}
%{_includedir}/%{name}-%{_lib_major}/%{name}/*.h
%{_includedir}/%{name}-%{_lib_major}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{_lib_major}.pc

#-----------------------------------
%prep
%setup -q

%build
CFLAGS="-std=c99 -fPIE" ./waf configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
CFLAGS="-std=c99 -fPIE" ./waf

%install
CFLAGS="-std=c99 -fPIE" ./waf --destdir="%{buildroot}" install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%post -n %{_lib_name}
/sbin/ldconfig

%postun -n %{_lib_name}
/sbin/ldconfig

#-----------------------------------
%changelog

* Fri May 27 2022 Rui Nuno Capela <rncbc@rncbc.org> - 0.16.10
- New upstream release.
* Thu Jan  7 2021 Rui Nuno Capela <rncbc@rncbc.org> - 0.16.8
- New upstream release.
* Sun Sep 27 2020 Rui Nuno Capela <rncbc@rncbc.org> - 0.16.6
- New upstream release.
* Tue Nov 12 2019 Rui Nuno Capela <rncbc@rncbc.org> - 0.16.4
- New upstream release.
* Sun Jul 22 2018 Rui Nuno Capela <rncbc@rncbc.org> - 0.16.2
- New upstream release.
* Mon Sep 19 2016 Rui Nuno Capela <rncbc@rncbc.org> - 0.16.0
- New upstream release.
* Thu Oct 08 2015 Rui Nuno Capela <rncbc@rncbc.org> - 0.14.0
- New upstream release.
* Wed Nov 26 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.12.2
- OBS snapshot update.
